## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class DataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl

All Implemented Interfaces:
  DataType, SQLObject

Direct Known Subclasses:
  SQLDataTypeImpl, UserDefinedTypeImpl

    public abstract class DataTypeImpl

extends SQLObjectImpl
implements DataType

An implementation of the model object 'Data Type'.

Method Summary
`void` `setContainer(TypedElement newContainer)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### setContainer

    public void setContainer(TypedElement newContainer)

  Specified by:
    `setContainer` in interface `DataType`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.